Package docking.widgets.list

# Class ListRendererMouseEventForwarder

java.lang.Object
java.awt.event.MouseAdapter
docking.widgets.list.ListRendererMouseEventForwarder

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`

public class ListRendererMouseEventForwarder extends MouseAdapter
A listener designed to forward events from a JList to its renderer. This listener allows renderers to embed components in the renderer and gives them the mouse events they need to interact with the user.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListRendererMouseEventForwarder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `mouseClicked(MouseEvent event)`
  `void`
  `mouseEntered(MouseEvent e)`
  `void`
  `mouseExited(MouseEvent e)`
  `void`
  `mouseMoved(MouseEvent e)`
  `void`
  `mousePressed(MouseEvent e)`
  `void`
  `mouseReleased(MouseEvent e)`

  ### Methods inherited from class java.awt.event.MouseAdapter

  `mouseDragged, mouseWheelMoved`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ListRendererMouseEventForwarder

    public ListRendererMouseEventForwarder()

- ## Method Details

  - ### mouseMoved

    public void mouseMoved(MouseEvent e)
    Specified by:
      `mouseMoved` in interface `MouseMotionListener`
    Overrides:
      `mouseMoved` in class `MouseAdapter`

  - ### mouseEntered

    public void mouseEntered(MouseEvent e)
    Specified by:
      `mouseEntered` in interface `MouseListener`
    Overrides:
      `mouseEntered` in class `MouseAdapter`

  - ### mouseExited

    public void mouseExited(MouseEvent e)
    Specified by:
      `mouseExited` in interface `MouseListener`
    Overrides:
      `mouseExited` in class `MouseAdapter`

  - ### mousePressed

    public void mousePressed(MouseEvent e)
    Specified by:
      `mousePressed` in interface `MouseListener`
    Overrides:
      `mousePressed` in class `MouseAdapter`

  - ### mouseReleased

    public void mouseReleased(MouseEvent e)
    Specified by:
      `mouseReleased` in interface `MouseListener`
    Overrides:
      `mouseReleased` in class `MouseAdapter`

  - ### mouseClicked

    public void mouseClicked(MouseEvent event)
    Specified by:
      `mouseClicked` in interface `MouseListener`
    Overrides:
      `mouseClicked` in class `MouseAdapter`